version: '3.7'
services:
  app:
    networks:
      - default
      - traefik
    labels:
      - "traefik.frontend.rule=Host:${HOST:-localhost}"
      - "traefik.enable=true"
  adminer:
    networks:
      - default
      - traefik
    labels:
      - "traefik.frontend.rule=Host:adminer-${HOST:-localhost}"
      - "traefik.enable=true"
      - "traefik.port=8080"

networks:
  traefik:
    external:
      name: traefik
